Skip to main content
POST
New buyer shipping detail
This endpoint requires the buyers.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

buyer_id
string<uuid>
required

The unique ID for a buyer.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

Body

application/json

Shipping detail associated to a buyer.

first_name
string | null

The first name(s) or given name for the buyer.

Required string length: 1 - 255
Example:

"John"

last_name
string | null

The last name, or family name, of the buyer.

Required string length: 1 - 255
Example:

"Lunn"

email_address
string | null

The email address for the buyer.

Required string length: 1 - 320
Example:

"john@example.com"

phone_number
string | null

The phone number for the buyer which should be formatted according to the E164 number standard.

Required string length: 1 - 50
Pattern: ^\+[1-9]\d{1,14}$
Example:

"+1234567890"

address
Address · object | null

The physical shipping address associated to this buyer.

Response

Returns the shipping detail that was added.

Shipping detail for a buyer.

type
enum<string>

The type of this resource. Is always shipping-details.

Available options:
shipping-details
Example:

"shipping-details"

id
string<uuid>

The unique ID for a buyer's shipping detail.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

buyer_id
string<uuid>

The unique ID for a buyer.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

first_name
string | null

The first name(s) or given name of the buyer.

Required string length: 1 - 255
Example:

"John"

last_name
string | null

The last name, or family name, of the buyer.

Required string length: 1 - 255
Example:

"Lunn"

email_address
string | null

The email address of the buyer.

Required string length: 1 - 320
Example:

"john@example.com"

phone_number
string | null

The phone number of the buyer. This number is formatted according to the E164 number standard.

Required string length: 1 - 50
Pattern: ^\+[1-9]\d{1,14}$
Example:

"+1234567890"

address
Address · object | null

The physical shipping address associated to this buyer.